![cabrnet banner.svg](./docs/logos/banner.svg)

CaBRNet is an open source library that offers an API to use state-of-the-art
prototype-based architectures (also called case-based reasoning models), or easily add a new one.

Currently, CaBRNet supports the following architectures:

- **ProtoPNet**, as described in *Chaofan Chen, Oscar Li, Chaofan Tao, Alina Jade Barnett,
Jonathan Su and Cynthia Rudin.* [This Looks like That: Deep Learning for Interpretable Image Recognition](https://proceedings.neurips.cc/paper_files/paper/2019/file/adf7ee2dcf142b0e11888e72b43fcb75-Paper.pdf). 
Proceedings of the 33rd International Conference on Neural Information Processing Systems, page 8930–8941, 2019.
- **ProtoTree**, as described in *Meike Nauta, Ron van Bree and Christin Seifert.* [Neural Prototype Trees for Interpretable Fine-grained Image
Recognition](https://openaccess.thecvf.com/content/CVPR2021/papers/Nauta_Neural_Prototype_Trees_for_Interpretable_Fine-Grained_Image_Recognition_CVPR_2021_paper.pdf). 
2021 IEEE/CVF Conference on Computer Vision and Pattern Recognition (CVPR), pages 14928–14938, 2021.

# Index
- [Build and install](docs/manuals/install.md)
- [Quickstart](docs/README.md)

# Authors
This library is collaboratively maintained by members of CEA-LIST. 
The current point of contact is Romain Xu-Darme. The following authors contributed in a significant manner
to the code base and/or the documentation of the library:

- Romain Xu-Darme (CEA-LIST)
- Aymeric Varasse (CEA-LIST)
- Alban Grastien (CEA-LIST)
- Julien Girard-Satabin (CEA-LIST)

The following authors contributed in a significant manner to the experiments and the
publication of trained models:

- Jules Soria (CEA-LIST)
- Alban Grastien (CEA-LIST)
- Romain Xu-Darme (CEA-LIST)